import type { ServerList, ServerRes } from '~/service/index'
import httpRequest from "~/service/index";
import {type LoginRequest, type CompleteRegistrationRequest, extendRegisterRules, type ForgetPasswordReq} from "~/domain/Login";

export function useCategory() {
  async function getCategory() {
    return await httpRequest.post<ServerRes<any>>(`/product/selectProductMenu`,{language:1}) 
  }
  return {
    getCategory
  }
}
